package fr.unice.reneviergonin.demogesture;

import android.app.Activity;
import android.os.Bundle;
import android.util.Log;
import android.view.GestureDetector;
import android.view.Menu;
import android.view.MenuItem;
import android.view.MotionEvent;
import android.view.View;

import fr.unice.reneviergonin.demogesture.images.Squares;


public class DemoGesture extends Activity {

    GestureCommad gestures;
    ScaleCommand scales;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_demo_gesture);

        View v = findViewById(R.id.control);
        Squares squares = (Squares) findViewById(R.id.squares);

        gestures = new GestureCommad(this, v, squares);
        scales = new ScaleCommand(this, v, squares);

        
        // fusion des deux OnClickListener
        v.setOnTouchListener(new View.OnTouchListener() {
            @Override
            public boolean onTouch(View view, MotionEvent motionEvent) {
                // Log.d("gesture", "the right listener");
                // fusion des appels ici, pour pouvoir avoir les deux en même temps
                gestures.onTouch(view, motionEvent);
                scales.onTouch(view, motionEvent);
                return true;
            }
        });

    /*
        v.setOnTouchListener(new View.OnTouchListener() {
            @Override
            public boolean onTouch(View view, MotionEvent motionEvent) {
                // the last is the good one...
                Log.d("gesture", "the other listener");
                return false;
            }
        });
    */
    }



}
