package fr.unice.reneviergonin.demogesture;

import android.content.Context;
import android.util.Log;
import android.view.MotionEvent;
import android.view.ScaleGestureDetector;
import android.view.View;

import fr.unice.reneviergonin.demogesture.images.Squares;


public class ScaleCommand implements   ScaleGestureDetector.OnScaleGestureListener, View.OnTouchListener {

    private Squares controled;
    ScaleGestureDetector scaleDetector;
    public ScaleCommand(Context c, View source, Squares controled) {
        scaleDetector = new ScaleGestureDetector(c,this);
        // pas d'abonnement direct (c.f. l'activité)
        // source.setOnTouchListener(this);
        this.controled = controled;
    }

    @Override
    public boolean onScale(ScaleGestureDetector scaleGestureDetector) {
        controled.setZoom(scaleGestureDetector.getScaleFactor());
        /*
        if (scaleGestureDetector.getScaleFactor() < 1) {

            controled.strafingX(-5);
        }
        else {
            controled.strafingX(5);
        }
         */
        return true;
    }

    @Override
    public boolean onScaleBegin(ScaleGestureDetector scaleGestureDetector) {
        return true;
    }

    @Override
    public void onScaleEnd(ScaleGestureDetector scaleGestureDetector) {


    }

    @Override
    public boolean onTouch(View view, MotionEvent motionEvent) {
        scaleDetector.onTouchEvent(motionEvent);
        return true;
    }
}
